<?xml version="1.0" encoding="utf-8" ?>
<nlog xmlns="http://www.nlog-project.org/schemas/NLog.xsd"
      xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
      autoReload="true">

  <variable name="appName" value="SYM.WebApp" />
  
  <!-- 
  See http://nlog-project.org/wiki/Configuration_file 
  for information on customizing logging rules and outputs.
   -->
  <targets>
    <!-- add your targets here -->
    <target xsi:type="File" name="file-trace" fileName="${basedir}/Logs/trace.log"
            layout="${longdate} ${uppercase:${level}} - ${message}. ${exception:innerFormat=ToString, stacktrace:format=ToString}"
            lineEnding="Default"
            concurrentWrites="true" keepFileOpen="false"/>
    <target xsi:type="File" name="file-generic" fileName="${basedir}/Logs/generic_${shortdate}.log" 
            layout="${longdate} ${uppercase:${level}} - ${callsite}: ${message}. ${exception:innerFormat=ToString, stacktrace:format=ToString}"
            lineEnding="Default"
            concurrentWrites="true" keepFileOpen="false"/>
    <target xsi:type="File" name="file-warning" fileName="${basedir}/Logs/warning_${shortdate}.log" 
            layout="${longdate} ${uppercase:${level}} - ${callsite}: ${message}. ${exception:innerFormat=ToString, stacktrace:format=ToString}"
            lineEnding="Default"
            concurrentWrites="true" keepFileOpen="false"/>
    <target xsi:type="File" name="file-error" fileName="${basedir}/Logs/error_${shortdate}.log"
            layout="${longdate} ${uppercase:${level}} - ${callsite}: ${message}. ${exception:innerFormat=ToString, stacktrace:format=ToString}"
            lineEnding="Default"
            concurrentWrites="true" keepFileOpen="false"/>
  </targets>
  <rules>
    <!-- add your logging rules here -->
    <logger name="*" minlevel="Warn"  maxlevel="Warn" writeTo="file-warning" final="true"/>
    <logger name="*" minlevel="Error"  writeTo="file-error" final="true"/>
    <logger name="*" minlevel="Debug" writeTo="file-generic" />
    <logger name="*" minlevel="Trace" writeTo="file-trace" />
  </rules>
</nlog>